com.amazonaws.services.workspaces.model

## Class DescribeWorkspacesConnectionStatusResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.workspaces.model.DescribeWorkspacesConnectionStatusResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DescribeWorkspacesConnectionStatusResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescribeWorkspacesConnectionStatusResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeWorkspacesConnectionStatusResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` The next token of the result.
`List<WorkspaceConnectionStatus>` `getWorkspacesConnectionStatus()` The connection status of the WorkSpace.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` The next token of the result.
`void` `setWorkspacesConnectionStatus(Collection<WorkspaceConnectionStatus> workspacesConnectionStatus)` The connection status of the WorkSpace.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeWorkspacesConnectionStatusResult` `withNextToken(String nextToken)` The next token of the result.
`DescribeWorkspacesConnectionStatusResult` `withWorkspacesConnectionStatus(Collection<WorkspaceConnectionStatus> workspacesConnectionStatus)` The connection status of the WorkSpace.
`DescribeWorkspacesConnectionStatusResult` `withWorkspacesConnectionStatus(WorkspaceConnectionStatus... workspacesConnectionStatus)` The connection status of the WorkSpace.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeWorkspacesConnectionStatusResult

    public DescribeWorkspacesConnectionStatusResult()

### Method Detail

#### getWorkspacesConnectionStatus

    public List<WorkspaceConnectionStatus> getWorkspacesConnectionStatus()

The connection status of the WorkSpace.

Returns:
  The connection status of the WorkSpace.

#### setWorkspacesConnectionStatus

    public void setWorkspacesConnectionStatus(Collection<WorkspaceConnectionStatus> workspacesConnectionStatus)

The connection status of the WorkSpace.

Parameters:
  `workspacesConnectionStatus` - The connection status of the WorkSpace.

#### withWorkspacesConnectionStatus

    public DescribeWorkspacesConnectionStatusResult withWorkspacesConnectionStatus(WorkspaceConnectionStatus... workspacesConnectionStatus)

The connection status of the WorkSpace.

NOTE: This method appends the values to the existing list (if any). Use `setWorkspacesConnectionStatus(java.util.Collection)` or `withWorkspacesConnectionStatus(java.util.Collection)` if you want to override the existing values.

Parameters:
  `workspacesConnectionStatus` - The connection status of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWorkspacesConnectionStatus

    public DescribeWorkspacesConnectionStatusResult withWorkspacesConnectionStatus(Collection<WorkspaceConnectionStatus> workspacesConnectionStatus)

The connection status of the WorkSpace.

Parameters:
  `workspacesConnectionStatus` - The connection status of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

The next token of the result.

Parameters:
  `nextToken` - The next token of the result.

#### getNextToken

    public String getNextToken()

The next token of the result.

Returns:
  The next token of the result.

#### withNextToken

    public DescribeWorkspacesConnectionStatusResult withNextToken(String nextToken)

The next token of the result.

Parameters:
  `nextToken` - The next token of the result.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeWorkspacesConnectionStatusResult clone()

Overrides:
  `clone` in class `Object`